IrfanView Formats Plugin TTF File Buffer Overflow Vulnerability

This script is Copyright (C) 2012 Tenable Network Security, Inc.


Synopsis :

The remote host has an application installed that is affected by a
buffer overflow vulnerability.

Description :

The version of the IrfanView Formats plugin (Formats.dll) was found to
be less than 4.34. Such versions are affected by a stack-based buffer
overflow caused by insufficient bounds checking when parsing TTF font
names. An attacker could exploit this vulnerability to execute
arbitrary code by tricking a user into opening a specially crafted
.ttf file.

See also :

http://www.irfanview.com/plugins.htm
http://www.nessus.org/u?3fcba641

Solution :

Upgrade the Formats plugin to version 4.3.4.0 (4.34) or higher.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.3
(CVSS2#E:POC/RL:OF/RC:C)
Public Exploit Available : true

Family: Windows

Nessus Plugin ID: 59847 ()

Bugtraq ID: 53756

CVE ID:

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now